package com.ruoyi.project.pssr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.pssr.mapper.TPssrPumpCleaningMapper;
import com.ruoyi.project.pssr.domain.TPssrPumpCleaning;
import com.ruoyi.project.pssr.service.ITPssrPumpCleaningService;

/**
 * 机泵过滤器清理工作清单Service业务层处理
 *
 * @author ssy
 * @date 2024-09-18
 */
@Service
public class TPssrPumpCleaningServiceImpl implements ITPssrPumpCleaningService
{
    @Autowired
    private TPssrPumpCleaningMapper tPssrPumpCleaningMapper;

    /**
     * 查询机泵过滤器清理工作清单
     *
     * @param id 机泵过滤器清理工作清单ID
     * @return 机泵过滤器清理工作清单
     */
    @Override
    public TPssrPumpCleaning selectTPssrPumpCleaningById(Long id)
    {
        return tPssrPumpCleaningMapper.selectTPssrPumpCleaningById(id);
    }

    @Override
    public int selectNoConfirmCount(Long subId)
    {
        return tPssrPumpCleaningMapper.selectNoConfirmCount(subId);
    }
    /**
     * 查询机泵过滤器清理工作清单列表
     *
     * @param tPssrPumpCleaning 机泵过滤器清理工作清单
     * @return 机泵过滤器清理工作清单
     */
    @Override
    public List<TPssrPumpCleaning> selectTPssrPumpCleaningList(TPssrPumpCleaning tPssrPumpCleaning)
    {
        return tPssrPumpCleaningMapper.selectTPssrPumpCleaningList(tPssrPumpCleaning);
    }

    /**
     * 新增机泵过滤器清理工作清单
     *
     * @param tPssrPumpCleaning 机泵过滤器清理工作清单
     * @return 结果
     */
    @Override
    public int insertTPssrPumpCleaning(TPssrPumpCleaning tPssrPumpCleaning)
    {
        return tPssrPumpCleaningMapper.insertTPssrPumpCleaning(tPssrPumpCleaning);
    }

    /**
     * 修改机泵过滤器清理工作清单
     *
     * @param tPssrPumpCleaning 机泵过滤器清理工作清单
     * @return 结果
     */
    @Override
    public int updateTPssrPumpCleaning(TPssrPumpCleaning tPssrPumpCleaning)
    {
        return tPssrPumpCleaningMapper.updateTPssrPumpCleaning(tPssrPumpCleaning);
    }

    @Override
    public int updateAllBySubId(TPssrPumpCleaning tPssrPumpCleaning) {
        return tPssrPumpCleaningMapper.updateAllBySubId(tPssrPumpCleaning);
    }

    /**
     * 批量删除机泵过滤器清理工作清单
     *
     * @param ids 需要删除的机泵过滤器清理工作清单ID
     * @return 结果
     */
    @Override
    public int deleteTPssrPumpCleaningByIds(Long[] ids)
    {
        return tPssrPumpCleaningMapper.deleteTPssrPumpCleaningByIds(ids);
    }

    /**
     * 删除机泵过滤器清理工作清单信息
     *
     * @param id 机泵过滤器清理工作清单ID
     * @return 结果
     */
    @Override
    public int deleteTPssrPumpCleaningById(Long id)
    {
        return tPssrPumpCleaningMapper.deleteTPssrPumpCleaningById(id);
    }
}
